# Generated by Django 4.0.3 on 2022-04-01 10:49

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0049_alter_districtcrossroadpage_cards_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                            ],
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    ("table", wagtail.contrib.table_block.blocks.TableBlock()),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                            ],
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtpeoplepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                            ],
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
    ]
